> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.heyreach.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.heyreach.io/_mcp/server.

# GetLead

POST https://api//api/public/lead/GetLead
Content-Type: application/json

## Gets Lead Details

This endpoint retrieves the details of a specific lead based on their LinkedIn profile URL.

**Remark:** The response will provide detailed information about the lead that matches the specified profile URL.

### Body Parameters

- **profileUrl** _(string)_: The LinkedIn profile URL of the lead. This parameter is required.

Reference: https://docs.heyreach.io/hey-reach-api/leads/get-lead

## Request

### Headers

- `X-API-KEY` (string, optional) — API key header using this scheme. Example: "X-API-KEY: \{API\_KEY}"

### Body (application/json)

This endpoint expects an object.

- `profileUrl` (string, required)

## Response

### 200

OK

- `linkedin_id` (string, required)
- `imageUrl` (string, required)
- `firstName` (string, required)
- `lastName` (string, required)
- `fullName` (string, required)
- `location` (string, required)
- `summary` (string, required)
- `companyName` (string, required)
- `companyUrl` (string, required)
- `position` (string, required)
- `username` (string, required)
- `connections` (integer, required)
- `followers` (integer, required)
- `experiences` (string, required)
- `education` (string, required)
- `profileUrl` (string, required)
- `enrichedEmailAddress` (string, required)
- `emailEnrichments` (list of string, required)
- `industry` (any, optional, nullable)
- `about` (any, optional, nullable)
- `emailAddress` (any, optional, nullable)
- `headline` (any, optional, nullable)

## Examples

**Request**

```json
{
  "profileUrl": "https://www.linkedin.com/in/john_doe/"
}
```

**Response**

```json
{
  "linkedin_id": "63456789",
  "imageUrl": "https://media.licdn.com/dms/image/v2/some_url",
  "firstName": "John",
  "lastName": "Doe",
  "fullName": "John Doe",
  "location": "Texas",
  "summary": "",
  "companyName": "Marines",
  "companyUrl": "https://www.linkedin.com/company/marines",
  "position": "Director of Marines",
  "username": "john_doe",
  "connections": 0,
  "followers": 0,
  "experiences": "[]",
  "education": "[]",
  "profileUrl": "https://www.linkedin.com/in/john_doe",
  "enrichedEmailAddress": "john_doe@example.com",
  "emailEnrichments": [
    "john_doe@example.com"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api//api/public/lead/GetLead"

payload = { "profileUrl": "https://www.linkedin.com/in/john_doe/" }
headers = {
    "X-API-KEY": "<string>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api//api/public/lead/GetLead';
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<string>', 'Content-Type': 'application/json'},
  body: '{"profileUrl":"https://www.linkedin.com/in/john_doe/"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api//api/public/lead/GetLead"

	payload := strings.NewReader("{\n  \"profileUrl\": \"https://www.linkedin.com/in/john_doe/\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-KEY", "<string>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api//api/public/lead/GetLead")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<string>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"profileUrl\": \"https://www.linkedin.com/in/john_doe/\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api//api/public/lead/GetLead")
  .header("X-API-KEY", "<string>")
  .header("Content-Type", "application/json")
  .body("{\n  \"profileUrl\": \"https://www.linkedin.com/in/john_doe/\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api//api/public/lead/GetLead', [
  'body' => '{
  "profileUrl": "https://www.linkedin.com/in/john_doe/"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<string>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api//api/public/lead/GetLead");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-KEY", "<string>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"profileUrl\": \"https://www.linkedin.com/in/john_doe/\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-KEY": "<string>",
  "Content-Type": "application/json"
]
let parameters = ["profileUrl": "https://www.linkedin.com/in/john_doe/"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api//api/public/lead/GetLead")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```